Vla-get-columnspacing

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-columnspacing vla-object )


機能
ブロック配列の列の間隔を取得する。


引数
  • vla-object … MInsertBlock のVLAオブジェクト


戻り値
ブロック配列の列の間隔。


サンプル
(vl-load-com)
(defun c:Example_ColumnSpacing()
    ;; MInsertBlock を作成して間隔を変更するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))
        
    ;; 円を作成
    (setq centerPoint (vlax-3d-point 0 0 0)
          InsertPoint (vlax-3d-point 1 1 0)
          radius 0.5)
    
    ;; 円を含んだブロックを作成
    (setq newBlock (vla-Add (vla-get-Blocks doc) centerPoint "CBlock"))
    (setq circleObj (vla-AddCircle newBlock centerPoint radius))
    
    ;; 円を含む新しいブロックを使用して四角形の配列を作成。
    (setq modelSpace (vla-get-ModelSpace doc))   
    (setq newMBlock (vla-AddMInsertBlock modelSpace InsertPoint "CBlock" 1 1 1 1 2 2 1 1))
        
    (vla-ZoomAll acadObj)
    
    ;; MInsertBlock で定義された行と列に関する情報を表示します。
    (alert (strcat "The new rectangular array comprises: \n"
                   (itoa (vla-get-Columns newMBlock)) " 列の間隔は " (rtos (vla-get-ColumnSpacing newMBlock) 2) " そして\n"
                   (itoa (vla-get-Rows newMBlock)) " 行の間隔は " (rtos (vla-get-RowSpacing newMBlock) 2) "."))
)


関連事項